SDL_GetJoystickPlayerIndexForID(3)

NAME
SDL_GetJoystickPlayerIndexForID - Get the player index of a joystick.

SYNOPSIS
#include <SDL3/SDL_joystick.h>

int SDL_GetJoystickPlayerIndexForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any joysticks are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
Returns the player index of a joystick, or -1 if it's not available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetJoystickPlayerIndex(3), SDL_GetJoysticks(3)